std::tr1::is_scalar(3)

NAME
std::tr1::is_scalar -

SYNOPSIS

Inherits integral_constant< bool,(std::tr1::is_arithmetic< _Tp >::value||is_enum< _Tp >::value||std::tr1::is_pointer< _Tp >::value||std::tr1::is_member_pointer< _Tp >::value)>.

Detailed Description

  template<typename _Tp> struct std::tr1::is_scalar< _Tp >

Definition at line 221 of file type_traits.

  Public Types
typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Static Public Attributes
static const _Tp value

Author

Generated automatically by Doxygen for libstdc++ from the source code.